メインコンテンツへスキップ
GET
/
comments
/
{comment_id}
cURL
curl -i -X GET "https://api.box.com/2.0/comments/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "11446498",
  "type": "comment",
  "is_reply_comment": true,
  "message": "@Aaron Levie these tigers are cool!",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "item": {
    "id": "11446498",
    "type": "file"
  },
  "tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

comment_id
string
必須

コメントのID。

クエリパラメータ

fields
string[]

レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。

このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。

レスポンス

Full版のコメントオブジェクトを返します。

コメントとは、ファイルに関して作成されるメッセージです。コメントは単独で作成することも、他のコメントへの返答として作成することもできます。

id
string

このコメントの一意の識別子。

:

"11446498"

type
enum<string>

値は常にcommentになります。

利用可能なオプション:
comment
:

"comment"

is_reply_comment
boolean

このコメントが他のコメントへの返信かどうか。

:

true

message
string

ユーザーが入力したコメントのテキスト。

:

"@Aaron Levie these tigers are cool!"

created_by
ユーザー (Mini) · object

コメント作成者をMini版のユーザーオブジェクトで表示。

created_at
string<date-time>

このコメントが作成された日時。

:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

このコメントが最後に変更された日時。

:

"2012-12-12T10:53:43-08:00"

item
Reference · object

このコメントが追加されたファイル。

tagged_message
string

@メンションを含むコメントテキストを表す文字列。@メンションの形式は@[id:username] で、idはユーザーのBox ID、usernameはユーザーの表示名になります。

:

"@[1234567:Aaron Levie] these tigers are cool!"